Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 410337

Summary: new ebuild: dev-libs/libuv
Product: Gentoo Linux Reporter: Julian Ospald <hasufell>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: RESOLVED FIXED    
Severity: enhancement CC: devurandom, sunrise
Priority: Normal Keywords: EBUILD, InOverlay
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/joyent/libuv
Whiteboard: [sunrise-overlay]
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 406403, 469194    
Attachments: libuv-0_pre20120331.ebuild
libuv-0.11.6.ebuild
libuv-0.10.7.ebuild

Description Julian Ospald 2012-03-31 14:23:16 UTC
Created attachment 307285 [details]
libuv-0_pre20120331.ebuild

libuv is a new platform layer for Node. Its purpose is to abstract IOCP on Windows and libev on Unix systems. We intend to eventually contain all platform differences in this library.
Comment 1 Julian Ospald 2012-03-31 17:14:13 UTC
added to sunrise-overlay, will be available after svn-review

https://overlays.gentoo.org/svn/proj/sunrise/reviewed/dev-libs/libuv/
Comment 2 Guillaume Horel 2012-04-19 20:58:41 UTC
I think it should install in /usr/include directly (i.e. replace insinto /usr/include/${PN}/ with insinto /usr/include/ in the ebuild). That's where npm packages expect to find it.
Comment 3 Julian Ospald 2012-04-20 00:11:40 UTC
I don't work with this stuff so you have to help me here since this is a dependency (along with others I had to add) for luvit.

does this also count for http-parser?

Please join us at #gentoo-sunrise which is open for all users.
Comment 4 Julian Ospald 2012-04-22 15:06:09 UTC
fixed in http://overlays.gentoo.org/proj/sunrise/changeset/9eff4ac93c1fba41f0c85a19ef8fbc0345eef44c

I have forced a particular commit, because all after that seem to fail with luvit-0.3.1
https://github.com/joyent/libuv/commit/bf9a2b346306583d1eff9b14b3a2b85f9768cb83
Comment 5 Emery Hemingway 2013-07-30 19:21:50 UTC
Created attachment 354646 [details]
libuv-0.11.6.ebuild

libuv may need to be slotted between 0.10 and 0.11
Comment 6 Emery Hemingway 2013-07-30 20:42:03 UTC
Created attachment 354654 [details]
libuv-0.10.7.ebuild

API seems to be different between 0.10 and 0.11
Comment 7 Emery Hemingway 2013-07-30 22:00:03 UTC
(In reply to Emery Hemingway from comment #6)
> Created attachment 354654 [details]
> libuv-0.10.7.ebuild
> 
> API seems to be different between 0.10 and 0.11

I take that back
Comment 8 Julian Ospald 2013-08-01 16:06:29 UTC
+*libuv-0.11.6 (01 Aug 2013)
+
+  01 Aug 2013; Julian Ospald <hasufell@gentoo.org> +libuv-0.11.6.ebuild,
+  +metadata.xml:
+  initial import wrt #410337